#!/bin/bash

OPTIONS_FILE_MISSING=100
INSUFFICIENT_PERMISSIONS=101
PPPD_NOT_IN_PATH=102
#setuid for pppd is handled by pppd itself with exit status 3

pppbase=/etc/ppp

if [  ! -e $pppbase -o ! -r $pppbase -o ! -w $pppbase -o ! -x $pppbase ]; then
        exit $INSUFFICIENT_PERMISSIONS
fi

options=/etc/ppp/options

if [ ! -e $options ]; then
        exit $OPTIONS_FILE_MISSING
fi

papsecrets=/etc/ppp/pap-secrets

if [ -e $papsecrets ]; then
        if [ ! -r $papsecrets -o ! -w $papsecrets ]; then
                exit $INSUFFICIENT_PERMISSIONS
        fi
fi

peers=/etc/ppp/peers

if [ -e $peers ]; then
        if [ ! -r $peers -o ! -w $peers -o ! -x $peers ]; then
                exit $INSUFFICIENT_PERMISSIONS
        fi
fi

which pppd 2>/dev/null
ret=`echo $?`

if [ $ret != 0 ]; then
        exit $PPPD_NOT_IN_PATH
fi
